Commit 92537b13 authored by Nicolas Dufresne's avatar Nicolas Dufresne Committed by Tim-Philipp Müller

meson: Re-add pkg-config support for bcm_host

Now we just fallback to find_library for Rasbian jessy and older.

https://bugzilla.gnome.org/show_bug.cgi?id=784026
parent 581161ec
......@@ -516,7 +516,14 @@ endif
bcm_host_dep = unneeded_dep
if need_win_dispmanx != 'no'
bcm_host_dep = cc.find_library('bcm_host', required : false)
# Try pkg-config for bcm_host then fallback to find_library to also
# support older distribution
bcm_host_dep = dependency('bcm_host', required : false)
if not bcm_host_dep.found()
bcm_host_dep = cc.find_library('bcm_host', required : false)
endif
if bcm_host_dep.found()
if not egl_dep.found()
error('dispmanx requires the use of egl')
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment